petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectSetOptions

Sets the options database used by the object

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetOptions(PetscObject obj,PetscOptions options)

Collective on PetscObject

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP.
| options | - the options database, use NULL for default

### Notes

if this is not called the object will use the default options database

### See Also

PetscOptionsCreate(), PetscOptionsDestroy(), PetscObjectSetOptionsPrefix(), PetscObjectAppendOptionsPrefix(), PetscObjectPrependOptionsPrefix(),
PetscObjectGetOptionsPrefix()

### Level

advanced

### Location

src/sys/objects/prefix.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages